﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace filter
{
    public class DoubleClickCommand:ICommand
     {
        private Action<object> act;
         private Predicate<object> pre;
         public DoubleClickCommand(Action<object> a, Predicate<object> b)
         {
             act = a;
             pre = b;
         }
         public bool CanExecute(Object parameter)
         {
             return true;
         }

         public void Execute(object parameter)
         {
             act(parameter);
             pre(parameter);
         }

         public event EventHandler CanExecuteChanged;
     }
     }


